Subject: RE: IGP Extensions - CCAMP Milestones

From: "LE ROUX Jean-Louis RD-CORE-LAN" <[email-masked]>
Date: Sun, 20 Nov 2005 22:35:06 +0100

Hi Dimitri 

> -----Message d'origine-----
> De : dimitri papadimitriou [mailto:[email-masked]] 
> Envoyé : jeudi 17 novembre 2005 21:40
> À : LE ROUX Jean-Louis RD-CORE-LAN
> Cc : JP Vasseur; Dimitri Papadimitriou; 
> [email-masked]; [email-masked]
> Objet : Re: IGP Extensions - CCAMP Milestones
> 
> hi jean-louis
> 
> LE ROUX Jean-Louis RD-CORE-LAN wrote:
> 
> > Hi Dimitri,
> > 
> > Thanks for the comment.
> > 
> > As just explained by JP, the TE Node Cap TLV carries 
> topology related 
> > parameters used as constraints in path computation. The leaking of 
> > such info across areas sounds useless as LSR TE visibility 
> is limited 
> > to one area anyway... But this is, of course, open to 
> discussions. By 
> > the way, do you have any application in mind where such 
> leaking would 
> > be useful?
> 
> stitching capability is the major application i see for the 
> time being - others will more than probably come when 
> technology specific application will progress (VCAT support 
> is a good example here but this is for further discussion)

OK, we will have to take this point into account and discuss further what could be the actual need for leaking such capabilites across area boundaries.

Regards,

JL

> 
> note: i would like also to point out that "capability" 
> advertisement that are of the following nature
> 
> 1. exchanged on a per node basis
> 2. variation of the information value >>> LS refresh time 3. 
> usage of the information and setting up LSP across these nodes does
>     not trigger any LS update
> 
> are not scaling impacting more than any other inter-area 
> routing information exchanged per current OSPF/IS-IS RFCs
> 
> > Regards,
> > 
> > JL
> > 
> > 
> > 
> > 
> > 
> > 
> > 
> >> -----Message d'origine----- De : JP Vasseur 
> >> [mailto:[email-masked]] Envoyé : jeudi 17 novembre 2005 16:58 À
> >> : Dimitri Papadimitriou; Dimitri Papadimitriou Cc :
> >> [email-masked]; [email-masked]; LE ROUX Jean-Louis 
> >> RD-CORE-LAN Objet : Re: IGP Extensions - CCAMP Milestones
> >> 
> >> Hi dimitri,
> >> 
> >> On Nov 16, 2005, at 6:30 PM, dimitri papadimitriou wrote:
> >> 
> >> 
> >>> adrian,
> >>> 
> >>> could you explain the reasoning for having a TE specific 
> TLV in the 
> >>> auto-mesh document with area and AS-wide flooding scope
> >> 
> >> while the TE
> >> 
> >>> router cap TLV is restricted to an area flooding scope ? 
> >>> shouldn't be one way or the other i.e. either restrict 
> all TE info 
> >>> area-local or allow for TE router cap TLV with AS-wide
> >> 
> >> flooding scope
> >> 
> >>> ?
> >>> 
> >>> note: there is nothing in the TE router cap TLV that 
> would impact  
> >>> scaling more than the TE auto-mesh TLV does
> >>> 
> >> 
> >> I guess that the reason for allowing both intra and inter-area 
> >> flooding scopes for automesh is obvious (we need to have 
> TE LSP mesh 
> >> within areas and spanning multiple areas).
> >> 
> >> So your question is probably why don't we allow the TE 
> router cap TLV 
> >> to be flooded across the domain ? As far as I can remember 
> JL already 
> >> answered this question ... JL, could you forward your email again ?
> >> 
> >> In the meantime, I can answer it: the reason is that such TE node  
> >> capabilities are used for TE LSP computation which cannot 
> take into 
> >> account nodes that do not reside in the node's area.
> >> 
> >> Thanks.
> >> 
> >> JP.
> >> 
> >> 
> >>> thanks, - dimitri.
> >>> 
> >>> Adrian Farrel wrote:
> >>> 
> >>> 
> >>> 
> >>>> Hi, We have two immediate milestones to address: Oct 05  First 
> >>>> version WG I-D for Advertising TE Node Capabilities in ISIS and 
> >>>> OSPF Oct 05  First version WG I-D for Automatic discovery of
> >> 
> >> MPLS-TE mesh
> >> 
> >>>> membership There are two personal submissions which 
> address these 
> >>>> topics: draft-vasseur-ccamp-te-node-cap-01.txt
> >>>> draft-vasseur-ccamp-automesh-02.txt I propose that we move these 
> >>>> into the WG and then kick the tires thoroughly. Opinions please. 
> >>>> Thanks, Adrian .
> >>> 
> > 
> > 
> > .
> > 
>